Page MenuHomePhabricator

Turkish time expressions should use periods instead of colons on history pages and in signature timestamps
Closed, ResolvedPublic

Description

Turkish Language Institution, the regulatory body of the Turkish language, maintains a list of grammar rules, which we abide by at trwiki. There is one rule concerning punctuations that has implications for MediaWiki. According to http://tdk.gov.tr/index.php?option=com_content&view=article&id=187:Noktalama-Isaretleri-Aciklamalar&catid=50:yazm-kurallar&Itemid=132, periods should be used to separate hours and minutes in time expressions. So instead of "10:18, 1 April 2017‎", the history pages and the signature timestamps should display "10.18, 1 April 2017". This was requested at our local village pump (no objections have been raised so far), I asked @Reedy if we need a community consensus, he said "no", so I am here.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2017, 6:58 PM
Aklapper added a subscriber: Peachey88.

This is unrelated to the translatewiki.net platform...

Aklapper renamed this task from Turkish time expressions should use periods instead of colons to Turkish time expressions should use periods instead of colons on history pages and in signature timestamps.Apr 3 2017, 3:13 PM

Change 370947 had a related patch set uploaded (by HakanIST; owner: HakanIST):
[mediawiki/core@master] Fixed localization for time according to Turkish language usage.

https://gerrit.wikimedia.org/r/370947

HakanIST claimed this task.Aug 10 2017, 5:28 PM

Change 370947 merged by jenkins-bot:
[mediawiki/core@master] Fix localization of time in Turkish

https://gerrit.wikimedia.org/r/370947

Amire80 moved this task from Untriaged to Capitalization on the I18n board.Mar 25 2018, 6:27 AM
Amire80 moved this task from Capitalization to Date and time on the I18n board.
HakanIST closed this task as Resolved.Jul 17 2018, 1:36 PM